2017-10-16 9:59 GMT+02:00 Pirate Praveen <prav...@onenetbeyond.org>:

> On 10/16/2017 01:18 PM, Jérémy Lal wrote:
> >
> >
> > 2017-10-16 9:43 GMT+02:00 Pirate Praveen <prav...@onenetbeyond.org
> > <mailto:prav...@onenetbeyond.org>>:
> >
> >     On 10/16/2017 12:47 PM, Jérémy Lal wrote:
> >     > You could get a more useful stack trace by installing nodejs-dbgsym
> >     > package from
> >     > deb http://debug.mirrors.debian.org/debian-debug/
> >     <http://debug.mirrors.debian.org/debian-debug/> unstable-debug main
> >
> >     I have installed it, but the output is still the same, no extra
> details.
> >
> >
> > You're supposed to run node through gdb:
> >
> > gdb node
> >> run <script path>
> >
> > then you get a crash, at which point you type
> >> bt


>> <removed useless gdb backtrace>

The problem might come from libuv or another dependency used by debian
nodejs
version and not by upstream nodejs (which uses its own bundled versions).
Can you try again, installing libuv1-dbg package ?
(Note that i prepared an update of libuv1 to the version that matches the
one used in nodejs 6,
available in pkg-javascript repo, so you might want to build that version
and test it).

Jérémy
-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to